org.apache.solr.handler.loader

## Class JsonLoader

- java.lang.Object
- - org.apache.solr.handler.loader.ContentStreamLoader
  - - org.apache.solr.handler.loader.JsonLoader

-     public class JsonLoader
      extends ContentStreamLoader

  Since:
    solr 4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHILD_DOC_KEY`

    - ### Fields inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `pollQueueTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultWT()`
    `void` | `load(SolrQueryRequest req, SolrQueryResponse rsp, ContentStream stream, UpdateRequestProcessor processor)` Loaders are responsible for closing the stream

    - ### Methods inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHILD_DOC_KEY

          public static final String CHILD_DOC_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JsonLoader

          public JsonLoader()

  - ### Method Detail

    - #### getDefaultWT

          public String getDefaultWT()

      Overrides:
        `getDefaultWT` in class `ContentStreamLoader`

    - #### load

          public void load(SolrQueryRequest req,
                           SolrQueryResponse rsp,
                           ContentStream stream,
                           UpdateRequestProcessor processor)
                    throws Exception

      Description copied from class: `ContentStreamLoader`
      Loaders are responsible for closing the stream
      Specified by:
        `load` in class `ContentStreamLoader`
      Parameters:
        `req` - The input `SolrQueryRequest`
        `rsp` - The response, in case the Loader wishes to add anything
        `stream` - The `ContentStream` to add
        `processor` - The `UpdateRequestProcessor` to use
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.